# README for Group Assignment 1.7

*[CEGM1000 MUDE](http://mude.citg.tudelft.nl/): Week 1.7, Friday, Oct 18, 2024.*


_You can access this assignment with the following link: [classroom.github.com/a/yEGl4Hux](https://classroom.github.com/a/yEGl4Hux)._

GA 1.7 focuses on the fit and validation of a continuous parametric probability distribution to two data sets. There are **three datasets to choose from** (the analysis is exactly the same for all three!).

There are several files to be aware of:

1. `README.md`
2. 3 subdirectories containing the files for each of the 3 data sets, containing the "usual" files (`Analysis.ipynb`, `Report.md` and `*.csv`)

First, you should **choose a dataset** to use for GA 1.7. The analysis is identical for each set, so choose that which aligns best with the interests of your group, as the context of the application may help with the interpretation of your results.

1. `emissions`: Traffic and CO2 emissions
2. `force`: Waves and impacts
3. `discharge`: Velocities, depths and discharges

Note that the Report lists specific distribution that you should choose from, which are unique for each data set; **read the Report to see which distributions you should choose from!**

As in previous weeks:
- complete the analysis in `Analysis.ipynb` then answer the questions in `Report.md` (but some group members can start working on the Report in parallel!).
- Markdown cells in the notebook are primarily for your own benefit; answers in the Report are more imporant. 

When **submitting your assignment** make sure your `Analysis.ipynb` and `Report.md` files are in the root directory of the repository (i.e., in the same folder as this README file).

## Task Overview

We recommend leaving around 45-60 minutes at the end of the session to work on the Report.

Many of the tasks in the notebook, as well as some of the Report, can be completed independently, here are a few tips:
- Inspect the data together and write down a few observations that you all agree on. This will become your first answer in the Report.
- You can split up and implement the code needed for many of the notebook tasks (some of the code from the WS will be useful to recycle).
- Once the analysis is complete, meet with **all* group members and observe the results, then decide on the "best" distribution (write down a few reasons to add to the justification in the Report)

If you are short on time, remember that it is more important to have answers in the Report than a completed notebook. Explain any issues you faced with the programming in your Report.

**End of file.**

<span style="font-size: 75%">
&copy; Copyright 2024 <a rel="MUDE" href="http://mude.citg.tudelft.nl/">MUDE</a>, TU Delft. This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by/4.0/">CC BY 4.0 License</a>.