# Report for Group Assignment 1.7, Force Dataset

*[CEGM1000 MUDE](http://mude.citg.tudelft.nl/): Week 1.7, Friday, Oct 18, 2024.*

_Remember to read the grading and submission instructions in the `README.md` file thoroughly before finalizing your answers in this document!_

## Questions

**Question 1**

Give a short description of the provided dataset in statistical terms. Visualize the data and choose a parametric distribution function for each variable between the indicated ones: choose between Exponential and Gaussian distribution to model the wave height, and between Uniform and Gumbel for the wave period. Justify your choice based on the previous description and visualization. 

_You should describe your data with only a few sentences, and be sure to use quantitative information! Refer to that description to choose the parametric distribution function. You can also include some plots that may support your reasoning._

_Distribution chosen for **<VARIABLE_1>**:_ **your distribution here.**

_Your justification here._

_Distribution chosen for **<VARIABLE_2>**:_ **your distribution here.**

_Your justification here._

**Question 2**

Fit and assess the goodness of fit of the selected parametric distribution functions to the dataset. Use (at least) Kolmogorov-Smirnov test and one graphical technique. For the graphical technique, choose between the QQplot and logscale plot. Describe in a few sentences how the chosen parametric distribution functions performs.

_Remember to use quantitative information based on the goodness of fit metrics that you have used. Also, you can include some examples of the differences in the computed and observed non-exceedance probabilities._


**Question 3**

Propagate the uncertainty through the equation to estimate wave forces, $F_h$, using both observations and simulated samples. Provide a bulleted list that summarizes differences between the two obtained distributions.

**Question 4**

Compare the simulated samples and the observations in a scatter plot, then prepare a bulleted list that describes the differences. Is there anything you could improve in the analysis? Provide with recommendations to improve the performed analysis. They can be both about the univariate distributions and about the propagation of uncertainty method you have used.

_Hint: Compute the correlation coefficient between H and T for both the observations and the simulated samples._

_Include your figure here. Be sure to use high contrast data symbols/colors and a legend to differentiate the two data sets clearly._

- your
- bulleted
- list
- here
- include the value of correlation coefficient, $\rho$

_Your recommendation here, based on the figure and observations above._

**Last Question: How did things go? (Optional)**

_Use this space to let us know if you ran into any challenges while working on this GA, and if you have any feedback to report._

**End of file.**

<span style="font-size: 75%">
&copy; Copyright 2024 <a rel="MUDE" href="http://mude.citg.tudelft.nl/">MUDE</a>, TU Delft. This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by/4.0/">CC BY 4.0 License</a>.