# Project 8 Report: Time Series

*[CEGM1000 MUDE](http://mude.citg.tudelft.nl/).*

**YOUR GROUP NAME HERE**


## Primary Task

**Complete the notebook `P8.ipynb`and write your answers in this document as requested in the questions below. Note that only part of the notebook results are required to be included in this report.** Typically a short, one-line answer is sufficient; though a simple 'yes' or 'no' is _not_ sufficient, please include a short reasoning, justification or argumentatiogn.

_You will be graded on the plots and answers provided in this file. You can delete the instructions and any other unnecessary text prior to submission._

## Report Instructions

Remember to use Markdown features to clearly indicate your answers for each question below. 

**Importing figures into a Markdown file:**
1. Use relative referencing only, with the git repo (working directory) as the root (this is expressed with a single dot `.`)
2. Our grading systems are case-sensitive so match the names of folders exactly
3. Use linux-style path separators: `/` rather than `\`.
4. Do not include spaces in your file path or image name; if it is unavoidable replace the space with `%20`, for example: `![My image](./my%20image.png)`

Here are some examples:
- an image located in the working directory `![My image](./imagename.ext)` (where `ext` is any image extension).
- an image located in a sub-directory called "images": `![My image](./images/imagename.ext)`
- an image with a space in the file name: `![My image](./images/my%20image.png)`

When using Markdown to include an image, the square brackets is a text tag that is displayed in case the image does not load. Do not include a dot in the square brackets; i.e., do _not_ do this: `![my image.](./image.svg)`.

## Answers to Questions

### Task 1

Describe any patterns you see in the time series, ACF and PSD. Comment on the effect of changing $\beta$. You do not need to include a figure, as long as they are included in your notebook.

_Your answer here._

### Task 2

Describe any patterns you see in the time series, ACF and PSD. Comment on the effect of changing $\sigma$. You do not need to include a figure, as long as they are included in your notebook.

_Your answer here._

### Task 3

State your estimate of sea level rise. _You only need to include your plot here if you make significant modifications from what was provided in the notebook._

_Your answer here._

### Task 4

Include the plot of (averaged) seasonal variations in a year and your explanation for what might cause such seasonal variations in GMSL. 

_Your answer here._

### Task 5

Include your plot along with a description of any trends that you observe.

_Your answer here._

### Task 6

Report the three hightest peaks in the PSD (use units of cycles/year) along with a possible explanation for each. Confirm also that they are statistically significant.

_Your answer here._

### Task 7

Include your figure, along with a (short) list of the unknown parameters. What is the amplitude of the combined annual and semi-annual signal?

_Your answer here._

### Task 8

Report the estimated rate and precision, along with the confidence interval. State whether or not you accept or reject the null hypothesis, along with a (brief) explanation why: _the rate for sea level rise is not statistically significant_.

_Your answer here._

### Task 9

Report whether or not the time series is stationary, and include justification why; it is not required, but you may include figures and quantitative results as needed to support your argument. Describe which quantities computed in this task could be used to make a prediction of sea level for next year (mention the functional and stochastic models specifically.

_Your answer here._

## General Comments on the Assignment [optional]

_Use this space to let us know if you encountered any issues completing this assignment (but please keep it short!). For example, if you encountered an error that could not be fixed in your Python code, or perhaps there was a problem submitting something via GitLab. You can also let us know if the instructions were unclear. You can delete this section if you don't use it._

**End of file.**

<span style="font-size: 75%">
&copy; Copyright 2023 <a rel="MUDE Team" href="https://studiegids.tudelft.nl/a101_displayCourse.do?course_id=65595">MUDE Teaching Team</a>, TU Delft. This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-nc-sa/4.0/">CC BY-NC-SA 4.0 License</a>.
